
// MODAL FORM
export const TOGGLE_LOGIN_MODAL = 'TOGGLE_LOGIN_MODAL';
export const TOGGLE_SIGNUP_MODAL = 'TOGGLE_SIGNUP_MODAL';
export const CLOSE_MODALS = 'CLOSE_MODALS';
export const TOGGLE_DROPDOWN_MENU = 'TOGGLE_DROPDOWN_MENU';

//SIGN UP
export const SIGN_UP_START = 'SIGN_UP_START';
export const SIGN_UP_SUCCESS = 'SIGN_UP_SUCCESS';
export const SIGN_UP_ERROR = 'SIGN_UP_ERROR';

//USER
export const USER_LOADED = 'USER_LOADED';
export const USER_LOADING = 'USER_LOADING';

export const AUTH_ERROR = 'AUTH_ERROR';

//LOGIN
export const LOGIN_SUCCESS = 'LOGIN_SUCCESS';
export const LOGIN_ERROR = 'LOGIN_ERROR';

//LOGOUT
export const LOGOUT_SUCCESS = 'LOGOUT_SUCCESS';

//ERRORS
export const GET_ERRORS = 'GET_ERRORS';
export const CLEAR_ERRORS = 'CLEAR_ERRORS';

//CATEGORIES
export const SET_CATEGORIES = 'SET_CATEGORIES';
export const ITEMS_LOADING = 'ITEMS_LOADING';
export const SET_SUBCATEGORIES = 'SET_SUBCATEGORIES';

//CREATE TASK
export const CREATE_TASK_LOADING = 'CREATE_TASK_LOADING';
export const CREATE_TASK_SUCCESS = 'CREATE_TASK_SUCCESS';
export const SET_ALL_TASKS = 'SET_ALL_TASKS';
export const SET_TASK = 'SET_TASK';
export const DELETE_TASK_SUCCESS = 'DELETE_TASK_SUCCESS';
export const DELETE_LOADING = 'DELETE_LOADING';
export const EDIT_TASK_SUCCESS = 'EDIT_TASK_SUCCESS';
export const EDIT_TASK_LOADING= 'EDIT_TASK_LOADING';